indexing

	description: "[
		Basic mathematical constants.
		This class may be used as ancestor by classes needing its facilities.
		]"
	legal: "See notice at end of class."

	status: "See notice at end of class."
	date: "$Date: 2006-03-30 14:27:07 -0800 (Thu, 30 Mar 2006) $"
	revision: "$Revision: 57945 $"

class
	MATH_CONST

feature -- Access

	Pi: DOUBLE is 3.14159265358979323846

	Sqrt2: DOUBLE is 1.41421356237309504880
			-- Square root of 2

	Euler: DOUBLE is 2.7182818284590452354;
			-- Logarithm base

indexing
	library:	"EiffelBase: Library of reusable components for Eiffel."
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"







end -- class MATH_CONST



