indexing

	description:

		"Eiffel '?' symbols"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2002, Eric Bezault and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2004/09/12 01:43:34 $"
	revision: "$Revision: 1.5 $"

class ET_QUESTION_MARK_SYMBOL

inherit

	ET_SYMBOL
		rename
			make_question_mark as make
		redefine
			process
		end

	ET_AGENT_ARGUMENT_OPERAND
		undefine
			first_position, last_position
		redefine
			is_open_operand
		end

creation

	make

feature -- Status report

	is_open_operand: BOOLEAN is True
			-- Is current operand open?

feature -- Processing

	process (a_processor: ET_AST_PROCESSOR) is
			-- Process current node.
		do
			a_processor.process_question_mark_symbol (Current)
		end

invariant

	is_question_mark: is_question_mark

end
