indexing
	description: "Language (LANG) and sublanguage (SUBLANG) constants."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $"
	revision: "$Revision: 56675 $"

class 
	WEL_LANGUAGE_CONSTANTS

feature -- Access

	Lang_neutral: INTEGER is 0
			-- Declared in Windows as LANG_NEUTRAL

	Lang_afrikaans: INTEGER is 54
			-- Declared in Windows as LANG_AFRIKAANS

	Lang_albanian: INTEGER is 28
			-- Declared in Windows as LANG_ALBANIAN

	Lang_arabic: INTEGER is 1
			-- Declared in Windows as LANG_ARABIC

	Lang_basque: INTEGER is 45
			-- Declared in Windows as LANG_BASQUE

	Lang_belarusian: INTEGER is 35
			-- Declared in Windows as LANG_BELARUSIAN

	Lang_bulgarian: INTEGER is 2
			-- Declared in Windows as LANG_BULGARIAN

	Lang_catalan: INTEGER is 3
			-- Declared in Windows as LANG_CATALAN

	Lang_chinese: INTEGER is 4
			-- Declared in Windows as LANG_CHINESE

	Lang_croatian: INTEGER is 26
			-- Declared in Windows as LANG_CROATIAN

	Lang_czech: INTEGER is 5
			-- Declared in Windows as LANG_CZECH

	Lang_danish: INTEGER is 6
			-- Declared in Windows as LANG_DANISH

	Lang_dutch: INTEGER is 19
			-- Declared in Windows as LANG_DUTCH

	Lang_english: INTEGER is 9
			-- Declared in Windows as LANG_ENGLISH

	Lang_estonian: INTEGER is 37
			-- Declared in Windows as LANG_ESTONIAN

	Lang_faeroese: INTEGER is 56
			-- Declared in Windows as LANG_FAEROESE

	Lang_farsi: INTEGER is 41
			-- Declared in Windows as LANG_FARSI

	Lang_finnish: INTEGER is 11
			-- Declared in Windows as LANG_FINNISH

	Lang_french: INTEGER is 12
			-- Declared in Windows as LANG_FRENCH

	Lang_german: INTEGER is 7
			-- Declared in Windows as LANG_GERMAN

	Lang_greek: INTEGER is 8
			-- Declared in Windows as LANG_GREEK

	Lang_hebrew: INTEGER is 13
			-- Declared in Windows as LANG_HEBREW

	Lang_hungarian: INTEGER is 14
			-- Declared in Windows as LANG_HUNGARIAN

	Lang_icelandic: INTEGER is 15
			-- Declared in Windows as LANG_ICELANDIC

	Lang_indonesian: INTEGER is 33
			-- Declared in Windows as LANG_INDONESIAN

	Lang_italian: INTEGER is 16
			-- Declared in Windows as LANG_ITALIAN

	Lang_japanese: INTEGER is 17
			-- Declared in Windows as LANG_JAPANESE

	Lang_korean: INTEGER is 18
			-- Declared in Windows as LANG_KOREAN

	Lang_latvian: INTEGER is 38
			-- Declared in Windows as LANG_LATVIAN

	Lang_lithuanian: INTEGER is 39
			-- Declared in Windows as LANG_LITHUANIAN

	Lang_norwegian: INTEGER is 20
			-- Declared in Windows as LANG_NORWEGIAN

	Lang_polish: INTEGER is 21
			-- Declared in Windows as LANG_POLISH

	Lang_portuguese: INTEGER is 22
			-- Declared in Windows as LANG_PORTUGUESE

	Lang_romanian: INTEGER is 24
			-- Declared in Windows as LANG_ROMANIAN

	Lang_russian: INTEGER is 25
			-- Declared in Windows as LANG_RUSSIAN

	Lang_serbian: INTEGER is 26
			-- Declared in Windows as LANG_SERBIAN

	Lang_slovak: INTEGER is 27
			-- Declared in Windows as LANG_SLOVAK

	Lang_slovenian: INTEGER is 36
			-- Declared in Windows as LANG_SLOVENIAN

	Lang_spanish: INTEGER is 10
			-- Declared in Windows as LANG_SPANISH

	Lang_swedish: INTEGER is 29
			-- Declared in Windows as LANG_SWEDISH

	Lang_thai: INTEGER is 30
			-- Declared in Windows as LANG_THAI

	Lang_turkish: INTEGER is 31
			-- Declared in Windows as LANG_TURKISH

	Lang_ukrainian: INTEGER is 34
			-- Declared in Windows as LANG_UKRAINIAN

	Lang_vietnamese: INTEGER is 42
			-- Declared in Windows as LANG_VIETNAMESE

	Sublang_arabic_saudi_arabia: INTEGER is 1
			-- Declared in Windows as SUBLANG_ARABIC_SAUDI_ARABIA

	Sublang_german: INTEGER is 1
			-- Declared in Windows as SUBLANG_GERMAN

	Sublang_arabic_iraq: INTEGER is 2
			-- Declared in Windows as SUBLANG_ARABIC_IRAQ

	Sublang_german_swiss: INTEGER is 2
			-- Declared in Windows as SUBLANG_GERMAN_SWISS

	Sublang_arabic_egypt: INTEGER is 3
			-- Declared in Windows as SUBLANG_ARABIC_EGYPT

	Sublang_german_austrian: INTEGER is 3
			-- Declared in Windows as SUBLANG_GERMAN_AUSTRIAN

	Sublang_arabic_libya: INTEGER is 4
			-- Declared in Windows as SUBLANG_ARABIC_LIBYA

	Sublang_german_luxembourg: INTEGER is 4
			-- Declared in Windows as SUBLANG_GERMAN_LUXEMBOURG

	Sublang_arabic_algeria: INTEGER is 5
			-- Declared in Windows as SUBLANG_ARABIC_ALGERIA

	Sublang_german_liechtenstein: INTEGER is 5
			-- Declared in Windows as SUBLANG_GERMAN_LIECHTENSTEIN

	Sublang_arabic_morocco: INTEGER is 6
			-- Declared in Windows as SUBLANG_ARABIC_MOROCCO

	Sublang_italian: INTEGER is 1
			-- Declared in Windows as SUBLANG_ITALIAN

	Sublang_arabic_tunisia: INTEGER is 7
			-- Declared in Windows as SUBLANG_ARABIC_TUNISIA

	Sublang_italian_swiss: INTEGER is 2
			-- Declared in Windows as SUBLANG_ITALIAN_SWISS

	Sublang_arabic_oman: INTEGER is 8
			-- Declared in Windows as SUBLANG_ARABIC_OMAN

	Sublang_korean: INTEGER is 1
			-- Declared in Windows as SUBLANG_KOREAN

	Sublang_arabic_yemen: INTEGER is 9
			-- Declared in Windows as SUBLANG_ARABIC_YEMEN

	Sublang_arabic_syria: INTEGER is 10
			-- Declared in Windows as SUBLANG_ARABIC_SYRIA

	Sublang_neutral: INTEGER is 0
			-- Declared in Windows as SUBLANG_NEUTRAL

	Sublang_arabic_jordan: INTEGER is 11
			-- Declared in Windows as SUBLANG_ARABIC_JORDAN

	Sublang_norwegian_bokmal: INTEGER is 1
			-- Declared in Windows as SUBLANG_NORWEGIAN_BOKMAL

	Sublang_arabic_lebanon: INTEGER is 12
			-- Declared in Windows as SUBLANG_ARABIC_LEBANON

	Sublang_norwegian_nynorsk: INTEGER is 2
			-- Declared in Windows as SUBLANG_NORWEGIAN_NYNORSK

	Sublang_arabic_kuwait: INTEGER is 13
			-- Declared in Windows as SUBLANG_ARABIC_KUWAIT

	Sublang_portuguese: INTEGER is 2
			-- Declared in Windows as SUBLANG_PORTUGUESE

	Sublang_arabic_uae: INTEGER is 14
			-- Declared in Windows as SUBLANG_ARABIC_UAE

	Sublang_portuguese_brazilian: INTEGER is 1
			-- Declared in Windows as SUBLANG_PORTUGUESE_BRAZILIAN

	Sublang_arabic_bahrain: INTEGER is 15
			-- Declared in Windows as SUBLANG_ARABIC_BAHRAIN

	Sublang_serbian_latin: INTEGER is 2
			-- Declared in Windows as SUBLANG_SERBIAN_LATIN

	Sublang_arabic_qatar: INTEGER is 16
			-- Declared in Windows as SUBLANG_ARABIC_QATAR

	Sublang_serbian_cyrillic: INTEGER is 3
			-- Declared in Windows as SUBLANG_SERBIAN_CYRILLIC

	Sublang_chinese_traditional: INTEGER is 1
			-- Declared in Windows as SUBLANG_CHINESE_TRADITIONAL

	Sublang_spanish: INTEGER is 1
			-- Declared in Windows as SUBLANG_SPANISH

	Sublang_chinese_simplified: INTEGER is 2
			-- Declared in Windows as SUBLANG_CHINESE_SIMPLIFIED

	Sublang_spanish_mexican: INTEGER is 2
			-- Declared in Windows as SUBLANG_SPANISH_MEXICAN

	Sublang_chinese_hongkong: INTEGER is 3
			-- Declared in Windows as SUBLANG_CHINESE_HONGKONG

	Sublang_spanish_modern: INTEGER is 3
			-- Declared in Windows as SUBLANG_SPANISH_MODERN

	Sublang_chinese_singapore: INTEGER is 4
			-- Declared in Windows as SUBLANG_CHINESE_SINGAPORE

	Sublang_spanish_guatemala: INTEGER is 4
			-- Declared in Windows as SUBLANG_SPANISH_GUATEMALA

	Sublang_default: INTEGER is 1
			-- Declared in Windows as SUBLANG_DEFAULT

	Sublang_spanish_costa_rica: INTEGER is 5
			-- Declared in Windows as SUBLANG_SPANISH_COSTA_RICA

	Sublang_dutch: INTEGER is 1
			-- Declared in Windows as SUBLANG_DUTCH

	Sublang_spanish_panama: INTEGER is 6
			-- Declared in Windows as SUBLANG_SPANISH_PANAMA

	Sublang_dutch_belgian: INTEGER is 2
			-- Declared in Windows as SUBLANG_DUTCH_BELGIAN

	Sublang_spanish_dominican_republic: INTEGER is 7
			-- Declared in Windows as SUBLANG_SPANISH_DOMINICAN_REPUBLIC

	Sublang_english_us: INTEGER is 1
			-- Declared in Windows as SUBLANG_ENGLISH_US

	Sublang_spanish_venezuela: INTEGER is 8
			-- Declared in Windows as SUBLANG_SPANISH_VENEZUELA

	Sublang_english_uk: INTEGER is 2
			-- Declared in Windows as SUBLANG_ENGLISH_UK

	Sublang_spanish_colombia: INTEGER is 9
			-- Declared in Windows as SUBLANG_SPANISH_COLOMBIA

	Sublang_english_aus: INTEGER is 3
			-- Declared in Windows as SUBLANG_ENGLISH_AUS

	Sublang_spanish_peru: INTEGER is 10
			-- Declared in Windows as SUBLANG_SPANISH_PERU

	Sublang_english_can: INTEGER is 4
			-- Declared in Windows as SUBLANG_ENGLISH_CAN

	Sublang_spanish_argentina: INTEGER is 11
			-- Declared in Windows as SUBLANG_SPANISH_ARGENTINA

	Sublang_english_nz: INTEGER is 5
			-- Declared in Windows as SUBLANG_ENGLISH_NZ

	Sublang_spanish_ecuador: INTEGER is 12
			-- Declared in Windows as SUBLANG_SPANISH_ECUADOR

	Sublang_english_eire: INTEGER is 6
			-- Declared in Windows as SUBLANG_ENGLISH_EIRE

	Sublang_spanish_chile: INTEGER is 13
			-- Declared in Windows as SUBLANG_SPANISH_CHILE

	Sublang_english_south_africa: INTEGER is 7
			-- Declared in Windows as SUBLANG_ENGLISH_SOUTH_AFRICA

	Sublang_spanish_uruguay: INTEGER is 14
			-- Declared in Windows as SUBLANG_SPANISH_URUGUAY

	Sublang_english_jamaica: INTEGER is 8
			-- Declared in Windows as SUBLANG_ENGLISH_JAMAICA

	Sublang_spanish_paraguay: INTEGER is 15
			-- Declared in Windows as SUBLANG_SPANISH_PARAGUAY

	Sublang_english_caribbean: INTEGER is 9
			-- Declared in Windows as SUBLANG_ENGLISH_CARIBBEAN

	Sublang_spanish_bolivia: INTEGER is 16
			-- Declared in Windows as SUBLANG_SPANISH_BOLIVIA

	Sublang_english_belize: INTEGER is 10
			-- Declared in Windows as SUBLANG_ENGLISH_BELIZE

	Sublang_spanish_el_salvador: INTEGER is 17
			-- Declared in Windows as SUBLANG_SPANISH_EL_SALVADOR

	Sublang_english_trinidad: INTEGER is 11
			-- Declared in Windows as SUBLANG_ENGLISH_TRINIDAD

	Sublang_spanish_honduras: INTEGER is 18
			-- Declared in Windows as SUBLANG_SPANISH_HONDURAS

	Sublang_french: INTEGER is 1
			-- Declared in Windows as SUBLANG_FRENCH

	Sublang_spanish_nicaragua: INTEGER is 19
			-- Declared in Windows as SUBLANG_SPANISH_NICARAGUA

	Sublang_french_belgian: INTEGER is 2
			-- Declared in Windows as SUBLANG_FRENCH_BELGIAN

	Sublang_spanish_puerto_rico: INTEGER is 20
			-- Declared in Windows as SUBLANG_SPANISH_PUERTO_RICO

	Sublang_french_canadian: INTEGER is 3
			-- Declared in Windows as SUBLANG_FRENCH_CANADIAN

	Sublang_swedish: INTEGER is 1
			-- Declared in Windows as SUBLANG_SWEDISH

	Sublang_french_swiss: INTEGER is 4
			-- Declared in Windows as SUBLANG_FRENCH_SWISS

	Sublang_swedish_finland: INTEGER is 2
			-- Declared in Windows as SUBLANG_SWEDISH_FINLAND

	Sublang_french_luxembourg: INTEGER is 5
			-- Declared in Windows as SUBLANG_FRENCH_LUXEMBOURG

	Sublang_sys_default: INTEGER is 2
			-- Declared in Windows as SUBLANG_SYS_DEFAULT

feature -- obsolete

	Sublang_korean_johab: INTEGER is
		obsolete
			"Not defined any more for some %
			 %C compilers, returns old defined value"
		do
			Result := 2
		end

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class WEL_LANGUAGE_CONSTANTS

