indexing
	description: "Tab control message (TCM) constants."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date: "$Date: 2006-03-22 23:29:03 -0800 (Wed, 22 Mar 2006) $"
	revision: "$Revision: 57641 $"

class
	WEL_TCM_CONSTANTS

feature -- Access

	Tcm_adjustrect: INTEGER is 4904
			-- Declared in Windows as TCM_ADJUSTRECT

	Tcm_deleteallitems: INTEGER is 4873
			-- Declared in Windows as TCM_DELETEALLITEMS

	Tcm_deleteitem: INTEGER is 4872
			-- Declared in Windows as TCM_DELETEITEM

	Tcm_getcurfocus: INTEGER is 4911
			-- Declared in Windows as TCM_GETCURFOCUS

	Tcm_getcursel: INTEGER is 4875
			-- Declared in Windows as TCM_GETCURSEL

	Tcm_getimagelist: INTEGER is 4866
			-- Declared in Windows as TCM_GETIMAGELIST

	Tcm_getitem: INTEGER is 4924
			-- Declared in Windows as TCM_GETITEM

	Tcm_getitemcount: INTEGER is 4868
			-- Declared in Windows as TCM_GETITEMCOUNT

	Tcm_getitemrect: INTEGER is 4874
			-- Declared in Windows as TCM_GETITEMRECT

	Tcm_getrowcount: INTEGER is 4908
			-- Declared in Windows as TCM_GETROWCOUNT

	Tcm_gettooltips: INTEGER is 4909
			-- Declared in Windows as TCM_GETTOOLTIPS

	Tcm_hittest: INTEGER is 4877
			-- Declared in Windows as TCM_HITTEST

	Tcm_insertitem: INTEGER is 4926
			-- Declared in Windows as TCM_INSERTITEM

	Tcm_removeimage: INTEGER is 4906
			-- Declared in Windows as TCM_REMOVEIMAGE

	Tcm_setcursel: INTEGER is 4876
			-- Declared in Windows as TCM_SETCURSEL

	Tcm_setimagelist: INTEGER is 4867
			-- Declared in Windows as TCM_SETIMAGELIST

	Tcm_setitem: INTEGER is 4925
			-- Declared in Windows as TCM_SETITEM

	Tcm_setitemextra: INTEGER is 4878
			-- Declared in Windows as TCM_SETITEMEXTRA

	Tcm_setitemsize: INTEGER is 4905
			-- Declared in Windows as TCM_SETITEMSIZE

	Tcm_setpadding: INTEGER is 4907
			-- Declared in Windows as TCM_SETPADDING

	Tcm_settooltips: INTEGER is 4910
			-- Declared in Windows as TCM_SETTOOLTIPS

	Tcm_highlightitem: INTEGER is 4915;
			-- Declared in Windows as TCM_HIGHLIGHTITEM

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class WEL_TCM_CONSTANTS

