indexing

	description:

		"Objects that provide location information to XM_XPATH_RECEIVERs"

	library: "Gobo Eiffel XPath Library"
	copyright: "Copyright (c) 2004, Colin Adams and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2005/06/04 22:48:29 $"
	revision: "$Revision: 1.3 $"

deferred class XM_XPATH_LOCATOR

inherit
	
	ANY

feature -- Access

	system_id: STRING is
			-- Current SYSTEM ID;
			-- If this is a URL, then it must be fully resolved
		deferred
		ensure
			system_id_not_void: Result /= Void
		end

	line_number: INTEGER is
			-- Approximate line number of current event, or 0 if unknown
		deferred
		ensure
			positive_result: Result >= 0
		end

end
