indexing
	description: "Common control Track Bar Message (TBM) constants."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $"
	revision: "$Revision: 56675 $"

class
	WEL_TBM_CONSTANTS

feature -- Access

	Tbm_getpos: INTEGER is 1024
			-- Declared in Windows as TBM_GETPOS

	Tbm_getrangemin: INTEGER is 1025
			-- Declared in Windows as TBM_GETRANGEMIN

	Tbm_getrangemax: INTEGER is 1026
			-- Declared in Windows as TBM_GETRANGEMAX

	Tbm_gettic: INTEGER is 1027
			-- Declared in Windows as TBM_GETTIC

	Tbm_settic: INTEGER is 1028
			-- Declared in Windows as TBM_SETTIC

	Tbm_setpos: INTEGER is 1029
			-- Declared in Windows as TBM_SETPOS

	Tbm_setrange: INTEGER is 1030
			-- Declared in Windows as TBM_SETRANGE

	Tbm_setrangemin: INTEGER is 1031
			-- Declared in Windows as TBM_SETRANGEMIN

	Tbm_setrangemax: INTEGER is 1032
			-- Declared in Windows as TBM_SETRANGEMAX

	Tbm_cleartics: INTEGER is 1033
			-- Declared in Windows as TBM_CLEARTICS

	Tbm_setsel: INTEGER is 1034
			-- Declared in Windows as TBM_SETSEL

	Tbm_setselstart: INTEGER is 1035
			-- Declared in Windows as TBM_SETSELSTART

	Tbm_setselend: INTEGER is 1036
			-- Declared in Windows as TBM_SETSELEND

	Tbm_getptics: INTEGER is 1038
			-- Declared in Windows as TBM_GETPTICS

	Tbm_getticpos: INTEGER is 1039
			-- Declared in Windows as TBM_GETTICPOS

	Tbm_getnumtics: INTEGER is 1040
			-- Declared in Windows as TBM_GETNUMTICS

	Tbm_getselstart: INTEGER is 1041
			-- Declared in Windows as TBM_GETSELSTART

	Tbm_getselend: INTEGER is 1042
			-- Declared in Windows as TBM_GETSELEND

	Tbm_clearsel: INTEGER is 1043
			-- Declared in Windows as TBM_CLEARSEL

	Tbm_getlinesize: INTEGER is 1048
			-- Declared in Windows as TBM_GETLINESIZE

	Tbm_getpagesize: INTEGER is 1046
			-- Declared in Windows as TBM_GETPAGESIZE

	Tbm_setlinesize: INTEGER is 1047
			-- Declared in Windows as TBM_SETLINESIZE

	Tbm_setpagesize: INTEGER is 1045;
			-- Declared in Windows as TBM_SETPAGESIZE

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class WEL_TBM_CONSTANTS

