indexing
	description: "Objects that demonstrate a single child in%
		%an EV_HORIZONTAL_SPLIT_AREA."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date: "$Date: 2006-01-22 21:46:00 -0800 (Sun, 22 Jan 2006) $"
	revision: "$Revision: 56677 $"

class
	HORIZONTAL_SPLIT_AREA_SINGLE_CHILD_TEST
	
inherit
	COMMON_TEST
		redefine
			default_create
		end
		
feature {NONE} -- Initialization

	default_create is
			-- Create `Current' and initialize test in `widget'.
		do
			create split_area
			split_area.set_minimum_width (200)
				-- Only one item is inserted, and therefore, the splitter is not visible.
			split_area.extend (create {EV_BUTTON}.make_with_text ("First"))
			
			widget := split_area
		end
		
feature {NONE} -- Implementation

	split_area: EV_HORIZONTAL_SPLIT_AREA;
		-- Widget that test is to be performed on.

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"


end -- class HORIZONTAL_SPLIT_AREA_SINGLE_CHILD_TEST
